% start and end times
t0 = 0.;
t1 = 1.;

% initial condition
x0 = 1.;

% perform the integration
[t,xout] = ode45(@simpfunc,[t0,t1],x0);

% plot the results
plot(t,xout,'o');
hold on

% check by overplotting the known answer
tt = [0:0.01:1];
xx = x0*exp(tt);
plot(tt,xx);
xlabel('t');
ylabel('x');
hold off