% start and end times
t0 = 0.;
t1 = 10.;

% initial condition
th0 = pi*0.1;
om0 = 0.;
tom0 = [th0;om0];

% perform the integration
[t,tomout] = ode45(@pendfunc,[t0,t1],tom0);

% plot the results
plot(t,tomout(:,1)*180./pi);
xlabel('time (sec)');
ylabel('angle (deg)');